Useage (BioJava Taglets API)
Keywords: Useage class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Useage

    java.lang.Object
      Useage

All Implemented Interfaces:
  com.sun.tools.doclets.Taglet

    public class Useage

extends Object
implements com.sun.tools.doclets.Taglet

Tag for emitting messages like: "Use: Foo -xyz [option] args1".

Author:
  Matthew Pocock

Constructor Summary
`Useage()`

Method Summary
`String` | `getName()`
`boolean` | `inConstructor()`
`boolean` | `inField()`
`boolean` | `inMethod()`
`boolean` | `inOverview()`
`boolean` | `inPackage()`
`boolean` | `inType()`
`boolean` | `isInlineTag()`
`static void` | `register(Map tagletMap)`
`String` | `toString(Tag tag)`
`String` | `toString(Tag[] tags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Useage

    public Useage()

Method Detail

### register

    public static void register(Map tagletMap)

### inConstructor

    public boolean inConstructor()

  Specified by:
    `inConstructor` in interface `com.sun.tools.doclets.Taglet`

### inField

    public boolean inField()

  Specified by:
    `inField` in interface `com.sun.tools.doclets.Taglet`

### inMethod

    public boolean inMethod()

  Specified by:
    `inMethod` in interface `com.sun.tools.doclets.Taglet`

### inOverview

    public boolean inOverview()

  Specified by:
    `inOverview` in interface `com.sun.tools.doclets.Taglet`

### inPackage

    public boolean inPackage()

  Specified by:
    `inPackage` in interface `com.sun.tools.doclets.Taglet`

### inType

    public boolean inType()

  Specified by:
    `inType` in interface `com.sun.tools.doclets.Taglet`

### isInlineTag

    public boolean isInlineTag()

  Specified by:
    `isInlineTag` in interface `com.sun.tools.doclets.Taglet`

### getName

    public String getName()

  Specified by:
    `getName` in interface `com.sun.tools.doclets.Taglet`

### toString

    public String toString(Tag tag)

  Specified by:
    `toString` in interface `com.sun.tools.doclets.Taglet`

### toString

    public String toString(Tag[] tags)

  Specified by:
    `toString` in interface `com.sun.tools.doclets.Taglet`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD